<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>discovery</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<h1 class="toc">Module discovery</h1>
<hr />
  <h2 class="toc">Classes</h2>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery.Resource-class.html"
     >Resource</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery.ResourceMethodParameters-class.html"
     >ResourceMethodParameters</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery._BytesGenerator-class.html"
     >_BytesGenerator</a><br />  </div>
  <h2 class="toc">Functions</h2>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_cast"
     >_cast</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_discovery_service_uri_options"
     >_discovery_service_uri_options</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_findPageTokenName"
     >_findPageTokenName</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_fix_up_media_upload"
     >_fix_up_media_upload</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_fix_up_method_description"
     >_fix_up_method_description</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_fix_up_parameters"
     >_fix_up_parameters</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_media_path_url_from_info"
     >_media_path_url_from_info</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_media_size_to_long"
     >_media_size_to_long</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_methodProperties"
     >_methodProperties</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_retrieve_discovery_doc"
     >_retrieve_discovery_doc</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_urljoin"
     >_urljoin</a><br />  </div>
    <a target="mainFrame" href="googleapiclient.discovery-module.html#build"
     >build</a><br />    <a target="mainFrame" href="googleapiclient.discovery-module.html#build_from_document"
     >build_from_document</a><br />  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#createMethod"
     >createMethod</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#createNextMethod"
     >createNextMethod</a><br />  </div>
    <a target="mainFrame" href="googleapiclient.discovery-module.html#fix_method_name"
     >fix_method_name</a><br />    <a target="mainFrame" href="googleapiclient.discovery-module.html#key2param"
     >key2param</a><br />  <h2 class="toc">Variables</h2>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#BODY_PARAMETER_DEFAULT_VALUE"
     >BODY_PARAMETER_DEFAULT_VALUE</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#DEFAULT_METHOD_DOC"
     >DEFAULT_METHOD_DOC</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#DISCOVERY_URI"
     >DISCOVERY_URI</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#GOOGLE_API_USE_CLIENT_CERTIFICATE"
     >GOOGLE_API_USE_CLIENT_CERTIFICATE</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#GOOGLE_API_USE_MTLS_ENDPOINT"
     >GOOGLE_API_USE_MTLS_ENDPOINT</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#HTTP_PAYLOAD_METHODS"
     >HTTP_PAYLOAD_METHODS</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#MEDIA_BODY_PARAMETER_DEFAULT_VALUE"
     >MEDIA_BODY_PARAMETER_DEFAULT_VALUE</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#MEDIA_MIME_TYPE_PARAMETER_DEFAULT_VALUE"
     >MEDIA_MIME_TYPE_PARAMETER_DEFAULT_VALUE</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#RESERVED_WORDS"
     >RESERVED_WORDS</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#STACK_QUERY_PARAMETERS"
     >STACK_QUERY_PARAMETERS</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#STACK_QUERY_PARAMETER_DEFAULT_VALUE"
     >STACK_QUERY_PARAMETER_DEFAULT_VALUE</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#URITEMPLATE"
     >URITEMPLATE</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#V1_DISCOVERY_URI"
     >V1_DISCOVERY_URI</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#V2_DISCOVERY_URI"
     >V2_DISCOVERY_URI</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#VARNAME"
     >VARNAME</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_MEDIA_SIZE_BIT_SHIFTS"
     >_MEDIA_SIZE_BIT_SHIFTS</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#_PAGE_TOKEN_NAMES"
     >_PAGE_TOKEN_NAMES</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#google_auth_httplib2"
     >google_auth_httplib2</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.discovery-module.html#logger"
     >logger</a><br />  </div>
<hr />
<span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
